%define name	pyrex
%define version 0.9.4.1
%define release 3

Name: 	 	%{name}
Summary: 	Language for Writing Python Extension Modules
Version: 	%{version}
Release: 	%mkrel %{release}
Source0:	Pyrex-%{version}.tar.bz2 
URL:		http://www.cosc.canterbury.ac.nz/~greg/python/Pyrex/
License:	Public Domain
Group:		Development/Python
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	python-devel

%description
Pyrex lets you write code that mixes Python and C data types any way you want,
and compiles it into a C extension for Python. 

%prep
%setup -q -n Pyrex-%{version} 

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT
install -m644 Tools/pyrex-mode.el -D $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/pyrex-mode.el

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *.txt Demos Doc
%_bindir/pyrexc
%dir %py_puresitedir/Pyrex
%py_puresitedir/Pyrex/*.py*
%py_puresitedir/Pyrex/Compiler/*
%py_puresitedir/Pyrex/Distutils/*
%py_puresitedir/Pyrex/Mac/*
%py_puresitedir/Pyrex/Plex/*
%_datadir/emacs/site-lisp/pyrex-mode.el
 
%changelog
* Mon Jul 17 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.4.1-3mdv2007.0
- rebuild

* Sun Jul 16 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.4.1-2mdv2007.0
- use %%py_puresitedir and not %%_libdir

* Tue Jun 27 2006 Charles A Edwards <eslrahc@mandriva.org> 0.9.4.1-1mdv2007.0
- 0.9.4.1
- mkrel
- drop patches
- update filelist
- own _libdir/python2*/site-packages/Pyrex

* Wed Aug 24 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.3-3mdk
- really fix gcc 4 problems (P4)

* Sun Aug 14 2005 Austin Acton <austin@mandriva.org> 0.9.3-2mdk
- patch for gcc4 and dbus (bug #17547)

* Fri Dec 31 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.3-1mdk
- 0.9.3
- drop P0 & P1 (fixed upstream)
- python-2.4 fix (P2)
- change license tag to a more valid one (free of any restrictions
  means that it can be considered as public domain)

* Sat Dec 04 2004 Michael Scherer <misc@mandrake.org> 0.9.2.1-3mdk
- Rebuild for new python

* Thu Sep 30 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.9.2.1-2mdk
- make this package arch-dependent since libdir varies accross arches
- backport and adapt from 0.9.3:
  * use correct conversion functions to/from unsigned long
  * more flexible about ordering of qualifiers such as 'long' and 'unsigned'

* Tue Jun  8 2004 Michael Scherer <misc@mandrake.org> 0.9.2.1-1mdk
- New release 0.9.2.1
- BuildRoot modification
- removed hardcoded requires
- use noarch

* Mon Jan 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-1mdk
- Release 0.9

* Fri Aug 8 2003 Austin Acton <aacton@yorku.ca> 0.6.1-2mdk
- python 2.3

* Mon Mar 31 2003 Austin Acton <aacton@yorku.ca> 0.6.1-mdk
- initial package
